Package io.dapr.client.domain.query

# Class Query

java.lang.Object
io.dapr.client.domain.query.Query

public class Query extends Object

## Constructor Summary

Constructors
Constructor
Description
`Query()`

## Method Summary

Modifier and Type
Method
Description
`Filter<?>`
`getFilter()`
`Pagination`
`getPagination()`
`List<Sorting>`
`getSort()`
`Query`
`setFilter(Filter<?> filter)`
Set the filter field in the instance.
`Query`
`setPagination(Pagination pagination)`
`Query`
`setSort(List<Sorting> sort)`
Validate and set sorting field.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Query

public Query()

## Method Details

### getFilter

public Filter<?> getFilter()

### setFilter

public Query setFilter(Filter<?> filter)
Set the filter field in the instance.

Parameters:
  `filter` - Valid filter value.
Returns:
  this instance.

### getSort

public List<Sorting> getSort()

### setSort

public Query setSort(List<Sorting> sort)
Validate and set sorting field.

Parameters:
  `sort` - List of sorting objects.
Returns:
  This instance.

### getPagination

public Pagination getPagination()

### setPagination

public Query setPagination(Pagination pagination)